﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using WeifenLuo.WinFormsUI.Docking;

namespace XKRS.UI.Model.Winform
{
    /// <summary>
    /// 菜单节点属性
    /// </summary>
    public class MenuNodeAttribute:Attribute
    {
        public string MenuCode { get; set; }
        public string MenuName { get; set; }
        public int MenuOrder { get; set; }
        public string ParentMenuCode { get; set; }
        /// <summary>
        /// 表示该窗体是实际显示窗体还是只是父节点
        /// </summary>
        public bool IsActualForm { get; set; }
    }

    public class DockOptionAttribute : Attribute
    {
        public DockState DockState { get; set; }


        public DockOptionAttribute(DockState dockState,int defaultWidth,int defaultHeight)
        {

        }
    }
}
